Bug 489082 - cfgmaker requires unexpected --contextengineid on SNMPv3 configuration
cfgmaker requires unexpected --contextengineid on SNMPv3 configuration
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mrtg (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-07 04:40 EST by Peter Bieringer
Modified: 2009-12-18 03:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:58:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2009-03-07 04:40:35 EST
Description of problem:
cfgmaker requires unexpected --contextengineid on SNMPv3 configuration

Version-Release number of selected component (if applicable):
mrtg-2.16.2-1.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. Setup SNMPv3 configuration in/etc/snmpd.conf
rouser  test auth .1
createUser test MD5 test1234

# service snmpd restart

2. Check using snmpwalk:
snmpwalk -v 3 -u test -A test1234 -l authNoPriv localhost
=> works

3. Try to generate config

Prereq: install perl-Net-SNMP

$ cfgmaker --enablesnmpv3 --username test --authpassword test1234  localhost:::::3 


Actual results:
Use of --authpassword requires --contextengineid at /usr/bin/cfgmaker line 1504.


Expected results:
Working well

Additional info:
If the "die" is removed, it works fine for me:

--- /usr/bin/cfgmaker	2008-06-27 10:06:58.000000000 +0200
+++ /usr/bin/cfgmaker-v3	2009-03-07 10:22:21.000000000 +0100
@@ -1501,7 +1501,7 @@
 		$v3opt{authkey} = $$opt{authkey};
 	}
 	if (exists ($$opt{authpassword})) {
-		die "Use of --authpassword requires --contextengineid" if !exists($$opt{contextengineid});
+		#die "Use of --authpassword requires --contextengineid" if !exists($$opt{contextengineid});
 		$v3opt{authpassword} = $$opt{authpassword};
 	}
 	if (exists ($$opt{authprotocol})) {


Got now something like:
# Target[localhost_1]: 1:public@localhost:::::3
# SnmpOptions[localhost_1]: authpassword=>'test1234',username=>'test'
# SetEnv[localhost_1]: MRTG_INT_IP="127.0.0.1" MRTG_INT_DESCR="lo"


Short test in mrtg (and using tcpdump) shows, that SNMPv3 is really used and proper working.
Comment 1 Peter Bieringer 2009-03-07 04:59:28 EST
Partially related to https://bugzilla.redhat.com/show_bug.cgi?id=489084
Comment 2 Bug Zapper 2009-11-18 06:18:05 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 03:58:16 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.